[icinga-devel] [PATCH] added hints on installing libdbi drivers on OpenSuse 11.2 (64 bit)

Patricia Jung pju at censhare.de
Tue Mar 2 10:22:36 CET 2010


---
 de/quickstart-idoutils.xml |    4 +++-
 en/quickstart-idoutils.xml |    4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/de/quickstart-idoutils.xml b/de/quickstart-idoutils.xml
index da8dc1a..740f0e6 100644
--- a/de/quickstart-idoutils.xml
+++ b/de/quickstart-idoutils.xml
@@ -145,7 +145,7 @@
     <para><emphasis role="bold">&name-opensuse;:</emphasis></para>
 
     <para>Benutzen Sie yast zur Installation der Pakete für das RDBMS, das Sie verwenden möchten, also "mysql", "mysql-devel" und "mysql-client" bzw.
-    "postgresql", "postgresql-devel" und "postgresql-server".</para>
+    "postgresql", "postgresql-devel" und "postgresql-server". Achtung: Das 'mysql-devel"-Paket heißt bei OpenSuSE 11.2 "libmysqlclient-devel".</para>
 
     <para>Es ist ziemlich wahrscheinlich, dass es keine libdbi-Packages gibt, so dass Sie die Sourcen herunterladen und kompilieren müssen. Ersetzen
     Sie dabei <rdbm> durch Ihr RDBM wie mysql oder pgsql. Bitte beachten Sie, dass der Oracle-Treiber noch nicht funktioniert. Lesen Sie daher
@@ -180,6 +180,8 @@
  # ./configure --with-<rdbm> --disable-docs
  # make
  # make install</programlisting></para>
+            <para>Bei OpenSuse 11.2 (64 Bit) müssen Sie explizit die Pfade zu den Include- und Library-Verzeichnissen angeben:</para>
+            <para><programlisting> #  ./configure --with--<rdbm> --with-<rdbm>-incdir=/usr/include/<rdbm>/ --with-<rdbm>-libdir=/usr/lib64/ --disable-docs </programlisting></para>
         </listitem>
     </orderedlist>
 
diff --git a/en/quickstart-idoutils.xml b/en/quickstart-idoutils.xml
index 15d61dc..45ec3b7 100644
--- a/en/quickstart-idoutils.xml
+++ b/en/quickstart-idoutils.xml
@@ -136,7 +136,7 @@
     <para><emphasis role="bold">&name-opensuse;:</emphasis></para>
 
     <para>Use yast to install the packages for the RDBMS you want to use, i.e. "mysql", "mysql-devel", "mysql-client" or "postgresql",
-    "postgresql-devel", "postgresql-server".</para>
+    "postgresql-devel", "postgresql-server". Note that "mysl-devel" changed name in OpenSuse 11.2 to "libmysqlclient-devel".</para>
 
     <para>It is most likely that there aren't any libdbi packages so you have to download and compile the sources. Replace <rdbm> with your
     desired RDBM like mysql or pgsql. Remember that the Oracle driver is not yet working and read the appropriate section with ocilib instead of
@@ -171,6 +171,8 @@
  # ./configure --with-<rdbm> --disable-docs
  # make
  # make install</programlisting></para>
+            <para>If using OpenSuse 11.2 (64 bit) specify include and library pathes explicitly:</para>
+            <para><programlisting> #  ./configure --with--<rdbm> --with-<rdbm>-incdir=/usr/include/<rdbm>/ --with-<rdbm>-libdir=/usr/lib64/ --disable-docs </programlisting></para>
         </listitem>
     </orderedlist>
 
-- 
1.6.4.2





More information about the icinga-devel mailing list